<?php
# German.php for German language
# translated by Hermann-Josef Beckers
# for bookmark4u version 1.6.2
$lang['language_pack_version'] = "1.6.2";

# general words
$lang['add']           = "Hinzufgen";
$lang['action']        = "AKtion";
$lang['all']           = "Alle";
$lang['always']        = "Immer";
$lang['back']          = "Zurck";
$lang['bookmark']      = "Lesezeichen";
$lang['calendar']      = "Kalender";
$lang['chars']         = "Zeichen";
$lang['change']        = "ndern";
$lang['clear']         = "Lschen";
$lang['clipboard']     = "Clipboard";
$lang['close']         = "Schliessen";
$lang['collapse']      = "Falten";
$lang['configure']     = "Konfigurieren";
$lang['date']          = "Datum";
$lang['delete']        = "Lschen";
$lang['description']   = "Beschreibung";
$lang['etc']           = "Sonst.";
$lang['email']         = "Email";
$lang['exit']          = "Ende";
$lang['expand']        = "Erweitern";
$lang['export']        = "Export";
$lang['folder']        = "Ordner";
$lang['frame']         = "Rahmen";
$lang['help']          = "Hilfe";
$lang['hide']          = "Verbergen";
$lang['include']       = "Einschliessen";
$lang['import']        = "Import";
$lang['ip']            = "IP";
$lang['lastlogin']     = "Letzte Anmeldung";
$lang['lastloginip']   = "IP der letzten Anmeldung";
$lang['list']          = "Liste";
$lang['logincounter']  = "# Anmeldungen";
$lang['logout']        = "Abmeldung";
$lang['memo']          = "Memo";
$lang['move']          = "bertragen";
$lang['name']          = "Name";
$lang['next']          = "Nchste";
$lang['no']            = "Nein";
$lang['off']           = "Aus";
$lang['on']            = "Ein";
$lang['paste']         = "Einfgen";
$lang['path']          = "Pfad";
$lang['password']      = "Passwort";
$lang['preference']    = "Einstellungen";
$lang['prev']          = "vorherige";
$lang['private']       = "Privat";
$lang['public']        = "ffentlich";
$lang['query']         = "Anfragen";
$lang['realname']      = "Echter Name";
$lang['recent']        = "jngste";
$lang['registerdate']  = "Registrierungsdatum";
$lang['resize']        = "Verndern";
$lang['restore']       = "Zurckholen";
$lang['search']        = "Suchen";
$lang['sec']           = "Sekunden";
$lang['show']          = "Zeigen";
$lang['title']         = "Titel";
$lang['theme']         = "Thema";
$lang['total']         = "Insgesamt";
$lang['trash']         = "Mll";
$lang['type']          = "Typ";
$lang['undelete']      = "Lschung zurcknehmen";
$lang['unregister']    = "Registrierung zurcksetzen";
$lang['url']           = "URL";
$lang['up']            = "zurck";
$lang['user']          = "Benutzer";
$lang['username']      = "Benutzer-Name";
$lang['users']         = "Benutzer";
$lang['view']          = "Zeigen";
$lang['visit']         = "Aufsuchen";
$lang['visited']       = "aufgesucht";
$lang['width']         = "Breite";
$lang['yes']           = "Ja";

# etc.
$lang[current_fld]   = " <b><--- Aktueller Ordner</b>";
$lang[style_font]    = "Verdana,Arial,Helvetica";
$lang[dayofweek]     = "Son:Mon:Die:Mit:Don:Fre:Sam";
$lang[ampm]          = "AM:PM";
$lang[months]        = "Jan:Feb:Mr:Apr:Mai:Jun:Jul:Aug:Sep:Okt:Nov:Dez";
$lang[dateformat]    = "%b-%d-%Y %a %T"; # date and time format
$lang[add_more]      = "Weitere hinzufgen";

# error messages
$lang[msg_req_title]    = "Titel erforderlich";
$lang[msg_req_url]      = "URL erforderlich";
$lang[msg_req_id]       = "Benuzterkennung erforderlich";
$lang[msg_req_pw]       = "Passwort erforderlich";
$lang[msg_wrong_pw]     = "Falsches Passwort";
$lang[msg_not_empty]    = "Order ist nicht leer";
$lang[msg_cant_move]    = "Verschiebung nicht mglich";
$lang[msg_no_keyword]   = "Suchbegriff erforderlich";
$lang[no_search_result] = "Sorry! Keine Suchergebnisse";
$lang[msg_missing_var]  = "Fehlende Variable";
$lang[msg_exist_userid] = "Benuzterkennung existiert bereits";
$lang[msg_auth_fail]    = "Autorisierung fehlerhaft";
$lang[msg_login]        = "Letzte Anmeldung am %s von %s";

# text area
$lang[textarea_1] = "Lang";
$lang[textarea_2] = "Kurz";

# history layer
$lang[historylayer_0] = "Verlaufsebene";
$lang[historylayer_1] = "Verlauf durchsuchen";
$lang[historylayer_2] = "Letzte Ordner";

# function ButtonSet()
$lang[btnset_1]  = "Abmelden";
$lang[btnset_2]  = "Neuen/s Ordner/Lesezeichen hinzufgen";
$lang[btnset_3]  = "Verlauf anzeigen";
$lang[btnset_4]  = "Sonstige Funktionen";
$lang[btnset_5]  = "Alle ste aufblenden";
$lang[btnset_6]  = "Alle ste einfalten";
$lang[btnset_7]  = "Konfiguration Ihrer Umgebung";
$lang[btnset_8]  = "Fgen Sie hier Ihre Notizen ein";
$lang[btnset_9]  = "Wechsel zwischen Rahmen- und nicht-Rahmen-Modus";
$lang[btnset_10] = "Clipboard anzeigen";
$lang[btnset_11] = "Ordner und Lesezeichen anzeigen";
$lang[btnset_12] = "Nur Lesezeichen anzeigen";
$lang[btnset_13] = "Eintrge im Clipboard in diesen Ordner einfgen";
$lang[btnset_14] = "Mlleimer ffnen";
$lang[btnset_15] = "zurck zur Lesezeichenliste";
$lang[btnset_16] = "Lesezeichen-Kalender";

# add.php
$lang[add_1] = "'http://' wird vor die URL gesetzt";

# addform.php
$lang[addform_0]  = "Neuen/s Ordner/Lesezeichen hinzufgen";

# bookmark.php
$lang[bookmark_0] = "Aktuelle Seite hinzufgen";
$lang[bookmark_1] = "Whlen Sie einen Ordner, in das Lesezeichen eingefgt wird.";
$lang[bookmark_2] = "Sie knnen zwischen der 'jngsten'- und 'alle'-Ordneranzeige whlen.";
$lang[bookmark_3] = "[[Ordner wechseln]]";

# calendar.php
$lang[calendar_0]    = "Lesezeichen-Kalender";

# changepw.php
$lang[changepw_0]    = "Password ndern";
$lang[changepw_1]    = "ndere Passwort fr <b>%s</b>";
$lang[changepw_2]    = "Aktuelles Passwort";
$lang[changepw_3]    = "Neues Passwort";
$lang[changepw_4]    = "Neues Passwort wiederholen";
$lang[changepw_5]    = "[[Jetzt ndern]]";
$lang[changepw_6]    = "Ihre Passwort wurde erfolgreich gendert";
$lang[changepw_err1] = "Aktuelles Passwort ist leer";
$lang[changepw_err2] = "Neues Passwort ist leer";
$lang[changepw_err3] = "Die neuen Passwrter stimmen nicht berein";
$lang[changepw_err4] = "Aktuelles Passwort ist nicht korrekt";

# clear.php
$lang[clear_0] = "Meine Lesezeichen-Liste lschen";
$lang[clear_1] = "Achtung! Alle Ihre Lesezeichen werden gelscht.";
$lang[clear_2] = "Lsche alle Lesezeichen";
$lang[clear_3] = "%s's Lesezeichen wurden gelscht";

# clipboard.php
$lang[clipboard_0] = $lang[clipboard];
$lang[clipboard_1] = "Clipboard lschen";
$lang[clipboard_2] = "Alle in Ordner bertragen";
$lang[clipboard_3] = "Alle in den Mlleimer bertragen";
$lang[clipboard_4] = "Whlen Sie einen Ordner fr die gewhlten Eintrge:";
$lang[clipboard_5] = "Kein Eintrag zum verschieben!";
$lang[clipboard_6] = "Kein Eintrag zum lschen!";
$lang[clipboard_7] = "Kein Eintrag";

# etc.php
$lang[etc_0]   = "Sonstiges";
$lang[etc_1]   = "Eine Lesezeichendatei in Bookmark4U importieren";
$lang[etc_2]   = "Bookmark4U in eine Lesezeichendatei exportieren";
$lang[etc_3]   = "Schnell-Markierung";
$lang[etc_3a]  = "Rechte Taste drcken und in Ihrem lokalen Lesezeichen einfgen";
$lang[etc_3b]  = "[[Hinzufgen zu %s @ Bookmark4U]]";
$lang[etc_3c]  = "Mit Bookmark4U 1.6.1 hat sich dies gendert. Bitte aktualisieren.";
$lang[etc_4]   = "Mein Anmelde-Passwort ndern";
$lang[etc_5a]  = "Rahmen benutzen";
$lang[etc_5b]  = "Keine Rahmen";
$lang[etc_7]   = "Lschen aller Lesezeichen. Das Passwort ist erforderlich.";
$lang[etc_8a]  = "Meine Informationen";
$lang[etc_8b]  = "Zeige meine Informationen";
$lang[etc_9a]  = "Netscape Tab";
$lang[etc_9b]  = "Tab hinzufgen";
$lang[etc_10]  = "Ein Mini-Fenster ffnen";
$lang[etc_10a] = "Mini-Finster";
$lang[etc_11]  = "Clipboard anzeigen";
$lang[etc_12]  = "Verlauf durchsuchen";
$lang[etc_13]  = "Verlauf lschen";
$lang[etc_14]  = "Mein Bookmark4U-Konto lschen und abmelden. Passwort erforderlich";
$lang[etc_15]  = "Lesezeichen-Kalender";

# export.php
$lang[export_0] = "Lesezeichen exportieren";
$lang[export_1] = "Whlen Sie ein Lesezeichenformat fr den Export";

# import.php
$lang[import_0] = "Lesezeichen importieren";
$lang[import_1] = "Wenn sie den <b>Internet Explorer</b> benutzen, whlen Sie das 'Datei -> Import und Export' Menue.<br> Wenn Sie <b>Netscape</b> benutzen, whlen Sie das 'Lesezeichen verwalten -> Lesezeichen exportieren'-Menue.<br>";
$lang[import_2] = "Lesezeichen-Datei";
$lang[import_3] = "[[Diese Datei importieren]]";
$lang[import_4] = "Testmodus";
$lang[import_5] = "Testmodus, Datenbank wurde NICHT gendert.";
$lang[import_6] = "Lesezeichen und Ordner wurden erfolgreich importiert.";
$lang[import_e1] = "Dateifeld ist leer";
$lang[import_e2] = "Dateigrsse ist 0";
$lang[import_e3] = "Sorry! Dies ist keine gltige Lesezeichen-Datei. Nicht importiert.";
$lang[import_7] = "Whlen Sie ein Lesezeichenformat fr den Import";

# inc/addmodify.php
$lang[addmodify_1] = "Neues Lesezeichen in Ordner <b>%s</b> einfgen";
$lang[addmodify_2] = "ndere Eigenschaften von <b>%s</b>";
$lang[addmodify_3] = "Lsche <b>%s</b>";
$lang[addmodify_4] = "bertrage <b>%s</b> in anderen Ordner";
$lang[addmodify_5] = "<b>%s</b>mal aufgesucht, zuletzt : <b>%s</b>";
$lang[addmodify_6] = "In Clipboard einfgen";
$lang[addmodify_7] = "Aus Clipboard lschen";

# index.php
$lang[index_1] = "Benutzername";
$lang[index_2] = "Passwort";
$lang[index_3] = "Lass mich rein";
$lang[index_4] = "[[Registrieren]]";
$lang[index_5] = "[[Password merken]]";
$lang[index_6] = "[[Rahmen benutzen]]";
$lang[index_7] = "[[Keine Rahmen]]";
$lang[index_8] = "[[Zu meinen Favoriten hinzufgen]]";
$lang[index_9] = "[[Ich habe mein Passwort vergessen]]";

# list.php
$lang[list_1]  = "Angezeigt";
$lang[list_2]  = "zuletzt hinzugefgt/verndert";
$lang[list_3]  = "Insgesamt";
$lang[list_4]  = "URLs berprfen";
$lang[list_5]  = "Prfen ob die URLs gltig sind";
$lang[list_6]  = "Nur Lesen";

# linkto.php
$lang[linkto_0] = "Verbindung zu";
$lang[linkto_1] = "Verbindung zu  ... nach %s Sekunden";

# listuser.php
$lang[listuser_0] = "Benutzerliste";
$lang[listuser_1] = "Keine Anmeldung";

# login.php
$lang[login_0] = "Hallo %s!";
$lang[login_1] = "Zuletzt angemeldet: <b>%s</b><br> von <b>%s</b>.";
$lang[login_2] = "Diese Seite wird nach  <b>%s Sekunden</b> aktualisiert.";
$lang[login_3] = "Zur Fortsetzung hier klicken.";

# memo.php
$lang[memo_0] = $lang[memo];
$lang[memo_1] = "Memo speichern";

# modifyform.php
$lang[modifyform_0]    = "Eigenschaften ndern/Verschieben/Lschen";

# move.php
$lang[move_1] = "Whlen Sie einen Ordner in den  %s <b>%s</b> bertragen werden soll";

# myinfo.php
$lang[myinfo_0] = "Meine Informationen";

# preference.php
$lang[preference_0]     = "Prferenzen";
#$lang[preference_part1] = "== Aktion ==";
#$lang[preference_part2] = "== Anzeige ==";
#$lang[preference_part3] = "== Rahmen-Modus ==";
#$lang[preference_part4] = "== Text-Konfiguration ==";
$lang[preference_tab1]  = "Haupteinstellungen";
$lang[preference_tab2]  = "Buttons & Suche";
$lang[preference_tab3]  = "Sonst.";
$lang[preference_tab4]  = "Rahmen";
$lang[preference_tab5]  = "Manual";
$lang[preference_1]     = "Sprache";
$lang[preference_2]     = "Thema";
$lang[preference_3]     = "Markierungszeit fr neue Lesezeichen";
$lang[preference_3_1]   = "1 Stunde";
$lang[preference_3_2]   = "12 Stunden";
$lang[preference_3_3]   = "24 Stunden";
$lang[preference_3_4]   = "2 Tage";
$lang[preference_3_5]   = "1 Woche";
$lang[preference_4]     = "Anmelde-Information";
$lang[preference_5]     = "Besuchs-Information benutzen";
$lang[preference_5_1]   = "Besuchs-Information aktualisieren";
$lang[preference_5_2]   = "Direkt auf URL verweisen";
$lang[preference_6]     = "Icon-Name";
$lang[preference_7]     = "Abstand zwischen Zeilen";
$lang[preference_7_1]   = "Kein Abstand";
$lang[preference_9]     = "Besuchs-Information";
$lang[preference_10]    = "Lesezeichen-URL";
$lang[preference_11]    = "URL max. Lnge";
$lang[preference_12]    = "berschrift";
$lang[preference_13]    = "Listen-Form";
$lang[preference_13_1]  = "Baumstruktur";
$lang[preference_13_2]  = "Einfache Liste";
$lang[preference_14]    = "Autom. Such-Fokus";
$lang[preference_15]    = "Lschung besttigen";
$lang[preference_16]    = "Start-URL";
$lang[preference_23]    = "Ausfhrliche Anzeige verbergen";
$lang[preference_24]    = "Netscape-Seitenleiste";
$lang[preference_25]    = "Font-Grsse";
$lang[preference_26]    = "Lesezeichenpfad in Such-Ergebnissen";
$lang[preference_27]    = "Lange Beschreibung";
$lang[preference_28]    = "Rahmenbreite";
$lang[preference_29]    = "Ende-Icon";
$lang[preference_30]    = "Clipboard-Icon";
$lang[preference_31]    = "Einzufgende Kopfdatei"; 
$lang[preference_32]    = "Buttons in einer Zeile";
$lang[preference_33]    = "Alles in einer Zeile";
$lang[preference_34]    = "Rahmenmodus aktivieren";
$lang[preference_35]    = "Verlaufsebene";
$lang[preference_36]    = "Verlaufsebene - Breite und Position";
$lang[preference_37]    = "Mll-Icon";
$lang[preference_38]    = "Bei nderung neuladen";
$lang[preference_39]    = "Suchergebnisse pro Seite";
$lang[preference_40]    = "Name des obersten Ordners";
$lang[preference_41]    = "Memo-Icon";
$lang[preference_42]    = "Besucht-Icon";
$lang[preference_43]    = "Aufblenden/Falten-Icon";
$lang[preference_44]    = "Lesezeichen/Ordner-Icon";
$lang[preference_45]    = "Rahmen-Icon";
$lang[preference_46]    = "Such-Icon";
$lang[preference_47]    = "Font-Familie";
$lang[preference_48]    = "Suchformular ausblenden";
$lang[preference_49]    = "Icon fr Fensterneuzeichnen";
$lang[preference_50]    = "Icon-Grsse";
$lang[preference_51]    = "Weiterleitungsseite anzeigen";
$lang[preference_52]    = "Max. letzte Ordner";
$lang[preference_53]    = "Quick URL zeigen/verstecken";
$lang[preference_54]    = "URL-Prfung";
$lang[preference_55]    = "Kalender-Icon";
$lang[preference_56]    = "Aktualisierungszeit";
$lang[preference_57]    = "Fenstergrsse";
$lang[preference_text]  = "[[Meine Konfiguration in Textform editieren]]";
$lang[preference_save]  = "[[Meine Prferenzen sichern]]";

# search.php
$lang[search_1]  = "Suchergebnisse";

# trash.php
$lang[trash_1]   = "Eintrag im Mlleimer";
$lang[trash_2]   = "Lschdatum";
$lang[trash_3]   = "Mlleimer leeren";

# unregister.php
$lang[unregister_0] = "Aus Bookmark4U austragen";
$lang[unregister_1] = "Warnung! Alle Ihre Daten gehen verloren und Ihr Konto wird aus Bookmark4U gelscht.";
$lang[unregister_2] = "Ich mchte Bookmark4U NICHT mehr benutzen";

# userconfig.php
#$lang[userconfig_0] = "Benutzer-Konfiguration";
#$lang[userconfig_1] = "Konfiguration sichern";
#$lang[userconfig_2] = "Zurcksetzen";
#$lang[userconfig_3] = "Lschen";

# visited.php
$lang[visited_0] = "Besuchte Lesezeichen";
$lang[visited_1] = "Lesezeichen";
$lang[visited_2] = "verndert";
$lang[visited_3] = "Anzahl";
$lang[visited_4] = "Letzter Besuch";
$lang[visited_5] = "IP";

?>
