<?php

/************************************************************************/
/* Bookmark4U: Web-based personal bookmarking environment               */
/* ======================================================               */
/* Please read LICENSE.txt                                              */
/************************************************************************/

include("inc/common.php");

if ($env[register_global_off]) {  # register get/post variables as global
  if ($HTTP_SERVER_VARS[REQUEST_METHOD] == 'GET') {
    $which_list = array('id', 'which', 'type', 'title', 'url', 'comment',
      'public', 'exp');
    ExtractVars($HTTP_GET_VARS, $which_list);
  } elseif ($HTTP_SERVER_VARS[REQUEST_METHOD] == 'POST') {
  }
}

CheckAuth('write');

if ($which == $id || IsChildFolder($which, $id)) {
  Error($lang[msg_cant_move]);
}

$qry = "SELECT * FROM $env[userbm] WHERE id=$which";
$row = DBQueryAndFetchRow($qry);
$parent = $row[parent];  # the parent of 'which'

# move 'which' under 'id'
$qry = "UPDATE $env[userbm] SET parent='$id',rdate=NOW() WHERE id=$which"; 
$ret = DBQuery($qry);

# update lastvisit time of id
$qry = "UPDATE $env[userbm] SET lastvisit=NOW() WHERE id=$id"; 
$ret = DBQuery($qry);

UpdateTotalLeaf($parent);
UpdateTotalLeaf($id);

$exp_parm = ($env[tree_view]) ? "&exp=$exp" : "";

#header("Location: list.php?root=$env[root]$exp_parm");
header("Location: list.php?root=$id$exp_parm");

?>
