<?php

/************************************************************************/
/* Bookmark4U: Web-based personal bookmarking environment               */
/* ======================================================               */
/* Please read LICENSE.txt                                              */
/************************************************************************/

include("inc/common.php");

if ($env[register_global_off]) {  # register get/post variables as global
  if ($HTTP_SERVER_VARS[REQUEST_METHOD] == 'GET') {
    $which_list = array('mode');
    ExtractVars($HTTP_GET_VARS, $which_list);
  } elseif ($HTTP_SERVER_VARS[REQUEST_METHOD] == 'POST') {
    $which_list = array('mode', 'memotext');
    ExtractVars($HTTP_POST_VARS, $which_list);
  }
}

CheckAuth('write');

if ($mode == 'save') {
  $uid = GetCookie('UID');
  $qry = "UPDATE $env[dbtblconfig] SET memo='$memotext' WHERE uid=$uid";
  $ret = DBQuery($qry);
  header("Location: list.php");
  exit;
}


#$env[page_focus] = 1;
$env[page_unload] = 1;
$env[title_icon] = $env[icon_memo];
PageHead($lang[memo_0]);
ButtonSet();

$uid = GetCookie('UID');
$qry = "SELECT memo FROM $env[dbtblconfig] WHERE uid=$uid";
$row = DBQueryAndFetchRow($qry);

$style_str = ($env[textarea_full_width]) ? " style=\"width: 100%\"" : "";

echo("<script>
var modified = 0;
function PageFocus() {
  document.memoform.memotext.focus();
  memo_size();
}
function PageUnLoad() {
  if (modified == 1) {
    if (confirm('$lang[memo_2]')) {
      document.memoform.submit();
    } else {
      return;
    }
  }
}
function memo_resize(value) {
  form = document.memoform;
  if (value == 'narrow') {
    if (form.memotext.cols > 60) 
      form.memotext.cols -= 5;
  }
  if (value == 'wide') form.memotext.cols += 5;
  if (value == 'short') {
    if (form.memotext.rows > 10) form.memotext.rows -= 5;
  }
  if (value == 'long') form.memotext.rows += 5;
}
function memo_size() {
  var onechar;
  var tcount = 0;
  var len = 0;
   
  str = document.memoform.memotext.value;
  string = String(str);
  len = string.length;
  for (k = 0; k < len; k++) {
    onechar = string.charAt(k);
    if (escape(onechar).length > 4) {
      tcount += 2;
    } else if (onechar!='\\r') {
      tcount++;
    }
  }
  document.memoform.length.value = tcount; 
}
function memo_change() {
  modified = 1; 
  memo_size();
}
function memo_save() {
  if (document.memoform.memotext.value != '') {
    alert('Please clear the content');
    return;
  }

  if (modified == 1) {
    modified = 0;
    document.memoform.submit();
  } else {
    history.go(-1);
  }
}
</script>\n");

echo("<center>
<b>
Please move the content of this form to the new memo system.<br>
This page is not supported no longer.
</b>
</center>\n");


echo("<table border=0 align=center width=100% cellpadding=0 cellspacing=0>
<form action=oldmemo.php method=post name=memoform>
<tr>
<td align=center>
[[
<a href=\"javascript:memo_resize('long');\">$lang[textarea_1]</a> |
<a href=\"javascript:memo_resize('short');\">$lang[textarea_2]</a>
]]
<textarea name=memotext rows=$env[textarea_rows]
 cols=$env[textarea_cols]$style_str
 onkeyup=\"javascript:memo_change()\">$row[memo]</textarea>
</td>
</tr>
<tr>
<td align=center>
<input type=text name=length size=4>bytes
<input type=hidden name=mode value='save'>
<input type=button value='$lang[memo_1]' onclick=\"javascript:memo_save()\"></td>
</tr>
</form></table>\n");

PageTail();

?>
