<?php

/************************************************************************/
/* Bookmark4U: Web-based personal bookmarking environment               */
/* ======================================================               */
/* Please read LICENSE.txt                                              */
/************************************************************************/

#
# inc/config.php : Bookmark4U configuration file for your site.
# Variables in this file override those in inc/config.dist.php.
#

# read the default configuration file
include("$prefix/inc/config.dist.php");

#########################################################################
# Bookmark4U basic configuration
#########################################################################
# path and location
$conf[sitehome] = "http://host.domain/bookmark4u";  # bookmark4u home URL
                                                    # the base of quickmark
# database access
$conf[dbhost]   = "localhost";  # database server
$conf[dbuser]   = "root";       # database user
$conf[dbpasswd] = "";           # database user's password
$conf[dbname]   = "bookmark4u"; # database name

# administration
$conf[registration_verify] = 0; # if true, admin can allow/deny a registration
                                # if true, requires PASSWD_TEMP table
                                # read UPGRADE.txt (ver 1.7.2)
$conf[admin_email] = "";        # administrator's email address
                                # if blank, do not send any email
$conf[generate_user_passwd] = 0;# if true, generate user password and email it
#########################################################################

#########################################################################
# Your additional configuration comes from here.
# Refer inc/config.dist.php
#########################################################################

# e.g.
#$uconf[lang] = 'English';        # language (directory name under lang/)
#$conf[userdb_prefix] = "BM4U_";  # prefix of user bookmark table name

?>
