<?php

/************************************************************************/
/* Bookmark4U: Web-based personal bookmarking environment               */
/* ======================================================               */
/* Please read LICENSE.txt                                              */
/************************************************************************/

###############################################################
#  Database Functions 
#  USAGE:
#    $result = DBQuery($qry);
#    $row = DBFetchRow($result);
#    $row = DBQueryAndFetchRow($qry);
#    $total = DBAffectedRows();
###############################################################

# for debugging
define(DBASE_ECHO_QUERY, 0);
$dbase_mysql_query_string = "";

// ------------------------------------------------------------
// DB Error
// ------------------------------------------------------------
function DBError($debug_msg='') {
  global $dbase_mysql_query_string;

  $err = mysql_error();
  if ($err) {
    if ($debug_msg) { echo("$debug_msg"); }
    echo("Query = '<font color='red'>$dbase_mysql_query_string</font>'<br>");
    echo("$err<br>");
    echo("<i><b><a href='admin/config.php'>You have an error in the database.
    Check here to debug it.</a></b></i>");
  }
}

// ------------------------------------------------------------
// DB Connection
// ------------------------------------------------------------
function DBConnect() {
  global $env;

  $env[connect] = mysql_connect($env[dbhost], $env[dbuser], $env[dbpasswd]);
# if (!$env[connect]) { DBError("Can't connect to DB server"); }
  if (!$env[connect]) return 1;
  $ret = mysql_select_db($env[dbname], $env[connect]);
  if (!$ret) return 1;
  $env[num_of_query] = 0;
  return 0;
}

// ------------------------------------------------------------
// DB Query
// ------------------------------------------------------------
function DBQuery($query) {
  global $env;
  global $dbase_mysql_query_string;

  $dbase_mysql_query_string = $query;
  if (DBASE_ECHO_QUERY) echo("$query<br>");
  $result = mysql_query($query);
  $env[num_of_query]++;
  return $result;
}

// ------------------------------------------------------------
// DB Fetch Row
// ------------------------------------------------------------
function DBFetchRow($result) {
  $row = mysql_fetch_array($result);
  return $row;
}

// ------------------------------------------------------------
// DB Query and Fetch Row
// ------------------------------------------------------------
function DBQueryAndFetchRow($query) {
  global $env;
  global $dbase_mysql_query_string;

  $dbase_mysql_query_string = $query;
  if (DBASE_ECHO_QUERY) echo("$query<br>");
  $result = mysql_query($query);
  $env[num_of_query]++;
  $row = mysql_fetch_array($result);
  return $row;
}

// ------------------------------------------------------------
// DB Affected Rows
// ------------------------------------------------------------
function DBAffectedRows() {
  $n = mysql_affected_rows();
  return $n;
}

?>
