<?php
# English.php for English language
# written by sangwan@hpcnet.ne.kr
# for bookmark4u version 1.8.3
$lang['language_pack_version'] = "1.8.3";

# general words
$lang['action']        = "Action";
$lang['add']           = "Add";
$lang['all']           = "All";
$lang['always']        = "Always";
$lang['back']          = "Back";
$lang['birthday']      = "Birthday";
$lang['bookmark']      = "Bookmark";
$lang['button']        = "Button";
$lang['calendar']      = "Calendar";
$lang['cancel']        = "Cancel";
$lang['center']        = "Center";
$lang['chars']         = "characters";
$lang['change']        = "Change";
$lang['clear']         = "Clear";
$lang['clipboard']     = "Clipboard";
$lang['close']         = "Close";
$lang['collapse']      = "Collapse";
$lang['comment']       = "Comment";
$lang['configure']     = "Configure";
$lang['daily']         = "Daily";
$lang['date']          = "Date";
$lang['day']           = "Day";
$lang['days']          = "days";
$lang['delete']        = "Delete";
$lang['description']   = "Description";
$lang['disabled']      = "Disabled";
$lang['edit']          = "Edit";
$lang['etc']           = "Etc.";
$lang['email']         = "Email";
$lang['exit']          = "Exit";
$lang['expand']        = "Expand";
$lang['export']        = "Export";
$lang['folder']        = "Folder";
$lang['frame']         = "Frame";
$lang['group']         = "Group";
$lang['help']          = "Help";
$lang['hide']          = "Hide";
$lang['icon']          = "Icon";
$lang['include']       = "Include";
$lang['import']        = "Import";
$lang['ip']            = "IP";
$lang['items']         = "items";
$lang['lastlogin']     = "Last Login";
$lang['lastloginip']   = "Last Login IP";
$lang['lastvisit']     = "Last Visit";
$lang['left']          = "Left";
$lang['link']          = "Link";
$lang['list']          = "List";
$lang['location']      = "Location";
$lang['logincounter']  = "# of logins";
$lang['logout']        = "Logout";
$lang['memo']          = "Memo";
$lang['modify']        = "Modify";
$lang['month']         = "Month";
$lang['monthly']       = "Monthly";
$lang['move']          = "Move";
$lang['name']          = "Name";
$lang['next']          = "Next";
$lang['no']            = "No";
$lang['off']           = "Off";
$lang['on']            = "On";
$lang['paste']         = "Paste";
$lang['path']          = "Path";
$lang['password']      = "Password";
$lang['preference']    = "Preference";
$lang['prev']          = "Previous";
$lang['private']       = "Private";
$lang['priority']      = "Priority";
$lang['public']        = "Public";
$lang['query']         = "queries";
$lang['quicklinks']    = "QuickLinks";
$lang['rate']          = "Rate";
$lang['realname']      = "Real Name";
$lang['recent']        = "Recent";
$lang['registerdate']  = "Registration date";
$lang['reload']        = "Reload";
$lang['repeat']        = "Repeat";
$lang['resize']        = "Resize";
$lang['restore']       = "Restore";
$lang['right']         = "Right";
$lang['save']          = "Save";
$lang['search']        = "Search";
$lang['sec']           = "seconds";
$lang['seconds']       = "seconds";
$lang['show']          = "Show";
$lang['size']          = "Size";
$lang['title']         = "Title";
$lang['theme']         = "Theme";
$lang['today']         = "Today";
$lang['total']         = "Total";
$lang['trash']         = "Trash";
$lang['type']          = "Type";
$lang['undelete']      = "Undelete";
$lang['unregister']    = "Unregister";
$lang['url']           = "URL";
$lang['up']            = "Up";
$lang['user']          = "User";
$lang['username']      = "User Name";
$lang['users']         = "Users";
$lang['view']          = "View";
$lang['visit']         = "Visit";
$lang['visits']        = "visits";
$lang['visited']       = "Visited";
$lang['weekly']        = "Weekly";
$lang['width']         = "Width";
$lang['year']          = "Year";
$lang['yearly']        = "Yearly";
$lang['yes']           = "Yes";

# units
$lang['unit_char']     = "characters";
$lang['unit_sec']      = "seconds";
$lang['unit_schedule'] = "schedules";

# etc.
$lang[current_fld]   = " <b><--- Current Folder</b>";
$lang[style_font]    = "Verdana,Arial,Helvetica";
$lang[dayofweek]     = "Sun:Mon:Tue:Wed:Thu:Fri:Sat";
$lang[ampm]          = "AM:PM";
$lang[months]        = "Jan:Feb:Mar:Apr:May:Jun:Jul:Aug:Sep:Oct:Nov:Dec";
$lang[dateformat]    = "%b-%d-%Y %a %T"; # full date and time format
$lang[dateformat2]   = "%b %e, %Y %a";   # date and day of week
$lang[dateformat3]   = "%b-%d %T";       # date without year
$lang[add_more]      = "Add more";
$lang[rdate]         = "Modification Time";
$lang[rtime]         = "Generation Time";
$lang[mtime]         = "Last Modification";
$lang[delete_really] = "Delete really?";
$lang[repeat_passwd] = "Repeat password";

# error messages
$lang[msg_req_title]    = "Require Title";
$lang[msg_req_url]      = "Require URL";
$lang[msg_req_id]       = "Require User ID";
$lang[msg_req_pw]       = "Require Password";
$lang[msg_wrong_pw]     = "Wrong Password";
$lang[msg_not_empty]    = "Folder is not empty";
$lang[msg_cant_move]    = "Can't move";
$lang[msg_no_keyword]   = "Require a keyword to search";
$lang[no_search_result] = "Sorry! No search result";
$lang[msg_missing_var]  = "Missing variable";
$lang[msg_exist_userid] = "Already exist user ID";
$lang[msg_auth_fail]    = "Authorization Fail";
$lang[msg_login]        = "Last login at %s from %s";

# text area
$lang[textarea_1] = "Long";
$lang[textarea_2] = "Short";

# history layer
$lang[historylayer_0] = "History Layer";
$lang[historylayer_1] = "Search History";
$lang[historylayer_2] = "Recent Folders";
$lang[historylayer_3] = "Recent Bookmarks";

# function ButtonSet()
$lang[btnset_1]  = "Log off";
$lang[btnset_2]  = "Add new folder or bookmark";
$lang[btnset_3]  = "Visit History";
$lang[btnset_4]  = "Miscellaneous functions";
$lang[btnset_5]  = "Expand all tree";
$lang[btnset_6]  = "Collapse all tree";
$lang[btnset_7]  = "Configure your environment";
$lang[btnset_8]  = "Write down your memo here";
$lang[btnset_9]  = "Switch between frame and non-frame mode";
$lang[btnset_10] = "%d items in clipboard";
$lang[btnset_11] = "List folders and bookmarks";
$lang[btnset_12] = "List only folders";
$lang[btnset_13] = "Paste items in Clipboard into this folder (%d items)";
$lang[btnset_14] = "Open the trash can";
$lang[btnset_15] = "Return to bookmark list";
$lang[btnset_16] = "Bookmark calendar";
$lang[btnset_17] = "Show history layer to search";

# add.php
$lang[add_1] = "'http://' is prefixed to the URL";

# addform.php
$lang[addform_0] = "Add new bookmark/folder";
$lang[addform_1] = "Add more";
$lang[addform_2] = "Add into Clipboard";
$lang[addform_3] = "Bookmark(s) with the same URL exist";

# address.php
$lang[address_0]  = "Address Book";
$lang[address_1]  = "Add a contact";
$lang[address_2]  = "Add this contact";
$lang[address_3]  = "Edit a contact";
$lang[address_4]  = "Save this contact";
$lang[address_5]  = "Delete this contact";
$lang[address_6]  = "Delete really?";
$lang[address_7]  = "Mobile Phone";
$lang[address_8]  = "Home Address";
$lang[address_9]  = "Home Telephone";
$lang[address_10] = "Business Address";
$lang[address_11] = "Business Telephone";
$lang[address_12] = "Friend:Family:Business:Etc";
$lang[address_13] = "Default group";
$lang[address_14] = "New group";
$lang[address_15] = "Default group";
$lang[address_16] = "Fields to display";
$lang[address_e1] = "Please select a group";

# bookmark.php
$lang[bookmark_0] = "Add the current page";
$lang[bookmark_1] = "Choose a folder to add the bookmark into.";
$lang[bookmark_2] = "Switch between the 'Recent' and 'All' folder list.";
$lang[bookmark_3] = "[[Change folder]]";
$lang[bookmark_4] = "Folder to add into";

# calendar.php
$lang[calendar_0] = "Bookmark Calendar";
$lang[calendar_1] = "Add a schedule";
$lang[calendar_2] = "Add this schedule";
$lang[calendar_3] = "Edit a schedule";
$lang[calendar_4] = "Save this schedule";
$lang[calendar_5] = "Delete this schedule";
$lang[calendar_6] = "Until";
$lang[calendar_7] = "Delete really?";
$lang[calendar_8] = "You can't edit this schedule";
$lang[calendar_9] = "(%s's schedule)";
$lang[calendar_10] = "Low priority";
$lang[calendar_11] = "High priority";
$lang[calendar_12] = "Periodic Schedule";
$lang[calendar_13] = "Schedules in %s days";
$lang[calendar_e1] = "Require a title for this schedule";

# changepw.php
$lang[changepw_0]    = "Change password";
$lang[changepw_1]    = "Change Password of <b>%s</b>";
$lang[changepw_2]    = "Current password";
$lang[changepw_3]    = "New password";
$lang[changepw_4]    = "Repeat new password";
$lang[changepw_5]    = "[[Change it Now]]";
$lang[changepw_6]    = "Your password has been changed successfully";
$lang[changepw_err1] = "Current password is empty";
$lang[changepw_err2] = "New password is empty";
$lang[changepw_err3] = "New passwords does not match";
$lang[changepw_err4] = "Current password is not correct";

# clear.php
$lang[clear_0] = "Clear my bookmark list";
$lang[clear_1] = "Caution! All of your bookmarks will be deleted.";
$lang[clear_2] = "Delete all bookmark";
$lang[clear_3] = "%s's bookmark has been cleared";

# clipboard.php
$lang[clipboard_0] = $lang[clipboard];
$lang[clipboard_1] = "Clear Clipboard";
$lang[clipboard_2] = "Move all into a folder";
$lang[clipboard_3] = "Move all into trash";
$lang[clipboard_4] = "Choose a folder to move selected items into :";
$lang[clipboard_5] = "No item to move!";
$lang[clipboard_6] = "No item to delete!";
$lang[clipboard_7] = "No item";
$lang[clipboard_8] = "Delete really?"
                    ." Caution!! All bookmarks under a folder are deleted.";

# etc.php
$lang[etc_0]   = "Miscellaneous";
$lang[etc_1]   = "Import a bookmark file into Bookmark4U";
$lang[etc_2]   = "Export Bookmark4U to a bookmark file";
$lang[etc_3]   = "Quickmark";
$lang[etc_3a]  = "Click right button and add in your local bookmark";
$lang[etc_3b]  = "[[ADD TO %s @ Bookmark4U]]";
$lang[etc_3c]  = "At Bookmark4U 1.6.1, this has been changed. Update it.";
$lang[etc_4]   = "Change my login password";
$lang[etc_5a]  = "Use Frame";
$lang[etc_5b]  = "No Frame";
$lang[etc_7]   = "Delete all bookmarks. The password is required.";
$lang[etc_8a]  = "My Info";
$lang[etc_8b]  = "View my information";
$lang[etc_9a]  = "Netscape Tab";
$lang[etc_9b]  = "Add Tab";
$lang[etc_10]  = "Launch a mini-size window";
$lang[etc_10a] = "Mini-Window";
$lang[etc_11]  = "View clipboard";
$lang[etc_12]  = "Search History";
$lang[etc_13]  = "Clear search history";
$lang[etc_14]  = "Delete my Bookmark4U account and logout. Password required";
$lang[etc_15]  = "Bookmark Calendar";
$lang[etc_16]  = "Customize Internet Explorer search tab";
$lang[etc_17]  = "Advanced Search";

# export.php
$lang[export_0] = "Export Bookmarks";
$lang[export_1] = "Choose a bookmark format to export";
$lang[export_2] = "Text file type";
$lang[export_3] = "Bookmark format";
$lang[export_4] = "Export private items";

# import.php
$lang[import_0] = "Import Bookmarks";
$lang[import_1] = "Input a bookmark file to import.<br>"
                 ."Use the exporting function in your local browser.<br>";
$lang[import_2] = "Bookmark file";
$lang[import_3] = "[[Import This File]]";
$lang[import_4] = "Test mode";
$lang[import_5] = "Test mode, database has NOT been changed.";
$lang[import_6] = "Bookmarks and folders has been imported successfully.";
$lang[import_7] = "Choose a bookmark format to import";
$lang[import_8] = "Import bookmarks/folders as ...";
$lang[import_9] = "Click here to export local browser's bookmarks";
$lang[import_e1] = "File field is empty";
$lang[import_e2] = "File size is zero";
$lang[import_e3] = "Sorry! This is not a valid bookmark file. Not imported.";
$lang[import_e4] = "Bookmark4U XML file version does not matches";

# inc/addmodify.php
$lang[addmodify_1]  = "Add new bookmark in folder <b>%s</b>";
$lang[addmodify_2]  = "Change properties of <b>%s</b>";
$lang[addmodify_3]  = "Delete <b>%s</b>";
$lang[addmodify_4]  = "Move <b>%s</b> to another folder";
$lang[addmodify_5]  = "Visit <b>%s</b> times, Last : <b>%s</b>";
$lang[addmodify_6]  = "Add into Clipboard";
$lang[addmodify_7]  = "Drop from Clipboard";
$lang[addmodify_8]  = "Delete permanently";
$lang[addmodify_9]  = "Recursively";
$lang[addmodify_10] = "Delete really?";

# index.php
$lang[index_1] = "User Name";
$lang[index_2] = "Password";
$lang[index_3] = "  Login  ";
$lang[index_4] = "[[Register]]";
$lang[index_5] = "[[Remember Password]]";
$lang[index_6] = "[[Use Frame]]";
$lang[index_7] = "[[No Frame]]";
$lang[index_8] = "[[Add to My Favorites]]";
$lang[index_9] = "[[I have forgot my password]]";
$lang[index_10] = "Remember It";
$lang[index_11] = "1 day";
$lang[index_12] = "1 month";
$lang[index_13] = "1 year";
$lang[index_14] = "Administrator's Home";

# list.php
$lang[list_1]  = "Displayed";
$lang[list_2]  = "Added or modified lately";
$lang[list_3]  = "Total";
$lang[list_4]  = "URL";
$lang[list_5]  = "Check if URLs are valid";
$lang[list_6]  = "Read Only";
$lang[list_7]  = "Never visited";

# linkto.php
$lang[linkto_0] = "Connecting";
$lang[linkto_1] = "Connecting to ... after %s seconds";
$lang[linkto_2] = "Hide this page from next time";

# listuser.php
$lang[listuser_0] = "User List";
$lang[listuser_1] = "Never login";

# login.php
$lang[login_0] = "Hello %s!";
$lang[login_1] = "Your last login was at <b>%s</b><br> from <b>%s</b>.";
$lang[login_2] = "This page will be refreshed after %s seconds.";
$lang[login_3] = "Click here to go ahead.";

# memo.php
$lang[memo_0] = $lang[memo];
$lang[memo_1] = "Save Memo";
$lang[memo_2] = "Memo changed. Save it now ?";

# modifyform.php
$lang[modifyform_0]    = "Change properties/Move/Delete";

# move.php
$lang[move_1] = "Choose a foler for %s <b>%s</b> to be moved into";

# myinfo.php
$lang[myinfo_0] = "My Information";

# preference.php
$lang[preference_0]     = "Preferences";
$lang[preference_tab1]  = "Main"; # obsolete
$lang[preference_tab2]  = "Button & Search"; # obsolete
$lang[preference_tab3]  = "Misc."; # obsolete
$lang[preference_tab4]  = "Frame"; # obsolete
$lang[preference_tab5]  = "Manual"; # obsolete
$lang[preference_main]  = "Main";
$lang[preference_misc]  = "Misc.";
$lang[preference_display]= "Display";
$lang[preference_manual]= "Manual";
$lang[preference_1]     = "Language";
$lang[preference_2]     = "Theme";
$lang[preference_3]     = "New bookmark marking time";
$lang[preference_3_1]   = "1 hour";
$lang[preference_3_2]   = "12 hours";
$lang[preference_3_3]   = "24 hours";
$lang[preference_3_4]   = "2 days";
$lang[preference_3_5]   = "1 week";
$lang[preference_4]     = "Login Information";
$lang[preference_5]     = "Use visit info";
$lang[preference_5_1]   = "Update visit info";
$lang[preference_5_2]   = "Link directly to URL";
$lang[preference_6]     = "Icon name";
$lang[preference_7]     = "Spacing between rows";
$lang[preference_7_1]   = "No spacing";
$lang[preference_9]     = "Visit Information";
$lang[preference_10]    = "Bookmark URL";
$lang[preference_11]    = "URL cut length";
$lang[preference_12]    = "Headline"; # obsolete
$lang[preference_13]    = "List form";
$lang[preference_13_1]  = "Expandable tree";
$lang[preference_13_2]  = "Plain list";
$lang[preference_14]    = "Auto search focus";
$lang[preference_15]    = "Delete confirm";
$lang[preference_16]    = "Start URL";
$lang[preference_23]    = "Hide verbose display";
$lang[preference_24]    = "Netscape sidebar";
$lang[preference_25]    = "Font size";
$lang[preference_26]    = "Bookmark path in search results";
$lang[preference_27]    = "Long description";
$lang[preference_28]    = "Frame width";
$lang[preference_29]    = "Exit icon";
$lang[preference_30]    = "Clipboard icon";
$lang[preference_31]    = "Included header file"; 
$lang[preference_32]    = "Buttons in a row";
$lang[preference_33]    = "All in a row";
$lang[preference_34]    = "Enable frame mode";
$lang[preference_35]    = "History layer";
$lang[preference_36]    = "History layer width and position";
$lang[preference_37]    = "Trash icon";
$lang[preference_38]    = "Reloaded if changed";
$lang[preference_39]    = "Search results per page";
$lang[preference_40]    = "Top folder name";
$lang[preference_41]    = "Memo icon";
$lang[preference_42]    = "Visited icon";
$lang[preference_43]    = "Expand/Collapse icon";
$lang[preference_44]    = "Bookmark/Folder icon";
$lang[preference_45]    = "Frame icon";
$lang[preference_46]    = "Search icon";
$lang[preference_47]    = "Font Family";
$lang[preference_48]    = "Hide search form";
$lang[preference_49]    = "Window resizing icon";
$lang[preference_50]    = "Icon size";
$lang[preference_51]    = "Print connecting page";
$lang[preference_52]    = "Max recent folders";
$lang[preference_53]    = "Quick URL show/hide";
$lang[preference_54]    = "URL checking";
$lang[preference_55]    = "Calendar icon";
$lang[preference_56]    = "Page Refresh time";
$lang[preference_57]    = "Window size";
$lang[preference_58]    = "List Heading";
$lang[preference_59]    = "Open bookmark in a new window";
$lang[preference_60]    = "Display pathes of visited items"; # obsolete
$lang[preference_61]    = "URL checking timeout";
$lang[preference_62]    = "Starting page";
$lang[preference_63]    = "Close quickmark window after";
$lang[preference_64]    = "Display separators";
$lang[preference_65]    = "URL checking timeout";
$lang[preference_66]    = "Error message reporting";
$lang[preference_67]    = "Javascript";
$lang[preference_68]    = "In the page";
$lang[preference_69]    = "Reload icon";
$lang[preference_70]    = "Default folder listing";
$lang[preference_71]    = "Background image (or URL)";
$lang[preference_72]    = "Button group alignment";
$lang[preference_73]    = "Default bookmark sorting";
$lang[preference_74]    = "Import bookmarks as";
$lang[preference_75]    = "Pager type";
$lang[preference_76]    = "Centered current";
$lang[preference_77]    = "10-Grouping";
$lang[preference_78]    = "Recent folder list in history layer";
$lang[preference_79]    = "Recent bookmark list in history layer";
$lang[preference_80]    = "Customized icon as default";
$lang[preference_81]    = "Use advanced search form for search icon";
$lang[preference_82]    = "Fade in/out history layer";
$lang[preference_83]    = "Display Quick Links";
$lang[preference_84]    = "Display a year or a month per page";
$lang[preference_85]    = "Address Book Icon";
$lang[preference_86]    = "Use gradient color";
$lang[preference_87]    = "Store search keywords in persist cookie";
$lang[preference_88]    = "Top folder name in the title bar";
$lang[preference_89]    = "Highlight pointed rows";
$lang[preference_90]    = "URLs are linked directly";
$lang[preference_91]    = "Show some schedules after login";
$lang[preference_92]    = "Refresh page periodically";
$lang[preference_93]    = "Refreshing periode in seconds";
$lang[preference_text]  = "[[Edit my configuration in text form]]";
$lang[preference_save]  = "[[Save My Preference]]";

# register.php
$lang[register_0] = "Bookmark4U User Registration";
$lang[register_1] = "Login ID";
$lang[register_2] = "Generate a random password and send to your email";

# search.php
$lang[search_0]  = "Search Results";
$lang[search_1]  = "Search Results";
$lang[search_2]  = "Advanced Search";
$lang[search_3]  = "Search History";

# searchform.php
$lang[searchform_0] = "Advanced Search";
$lang[searchform_1] = "Search keyword";
$lang[searchform_2] = "Where";
$lang[searchform_3] = "Search results per page";

# selicon.php
$lang[selicon_0]  = "Select an icon image";

# selimage.php
$lang[selimage_0]  = "Select a backgroud image";

# trash.php
$lang[trash_1]   = "Item in the trash";
$lang[trash_2]   = "Date of deletion";
$lang[trash_3]   = "Clear trash";

# unregister.php
$lang[unregister_0] = "Unregister from Bookmark4U";
$lang[unregister_1] = "Caution! All of your data(bookmark, memo, calendar)"
     ." will be lost and your account are deleted from Bookmark4U";
$lang[unregister_2] = "I want to STOP using Bookmark4U";

# visited.php
$lang[visited_0] = "Visit History";
$lang[visited_1] = "Bookmark";
$lang[visited_2] = "Modified";
$lang[visited_3] = "Count";
$lang[visited_4] = "Last Visit";
$lang[visited_5] = "IP";

?>
