<?php
# help.Francais.php for French language
# translated by Etienne Juliot, gizmoo@laposte.net at 2002-04-29
# for bookmark4u version 1.7.3

echo("
<p style='line-height:150%;'>
<b>Aide bookmark4U 1.6.2</b><br>

<ul>
<li><a href=#num1>Comment <b>ajouter</b> un nouveau signet ?</a><br>
<li><a href=#num2>Comment <b>crer</b> un nouveau dossier ?</a><br>
<li><a href=#num3>Comment <b>changer</b> les proprits d'un signet ou d'un dossier ?</a><br>
<li><a href=#num4>Comment <b>dplacer</b> des signets ou des dossiers vers un autre dossier ?</a><br>
<li><a href=#num5>Comment <b>effacer</b> un signet ou un dossier ?</a><br>
<li><a href=#num6>Comment <b>chercher</b> un signet ?</a><br>
<li><a href=#num7>Comment <b>se dconnecter</b> de bookmark4U ?</a><br>
<li><a href=#num8>Comment <b>importer</b> des signets de mon navigateur local vers bookmark4U ?</a><br>
<li><a href=#num9>Comment <b>exporter</b> bookmark4U vers mon navigateur local ?</a><br>
<li><a href=#num10>Comment <b>ajouter la page courante</b> du navigateur dans mes signets ?(<b>Ajout rapide</b>)</a><br>
<li><a href=#num11>Qu'est-ce que l'<b>Historique des visites</b>' et comment peut-on l'utiliser ?</a><br>
<li><a href=#num12>Comment utiliser le <b>Presse-papier</b>?</a><br>
<li><a href=#num13>Comment utiliser la <b>Poubelle</b>?</a><br>
</ul>
<br>

<a name=num1>
<b>Comment ajouter un nouveau signet ?</b>
<ol>
<li> Cliquer sur l'icne <img src=$env[icon_add] align=top> dans la barre de boutons.</li>
<li> Slectionner le type du signet (<img src=$env[icon_bk] align=top>).</li>
<li> Spcifier  la fois le titre et l'URL du nouveau signet.</li>
<li> Optionnellement, vous pouvez ajouter un commentaire au signet dans le champs Description.</li>
<li> Finalement, cliquer sur le lien [[Ajouter]] du bas pour ajouter ce signet dans le dossier courant.</li>
</ol>
&nbsp;&nbsp;
<b>Astuce:</b> Si vous voulez ajouter un autre signet dans le mme dossier, validez la case 'Add more' avant de cliquer sur le lien [[Ajouter]].<br>

<br>
<a name=num2>
<b>Comment crer un nouveau dossier ?</b><br>
<ol>
<li> Cliquer sur l'icne <img src=$env[icon_add] align=top> dans la barre de boutons.</li>
<li> Slectionner le type de dossier (<img src=$env[icon_fo] align=top>).</li>
<li> Spcifier le titre du nouveau dossier. Vous n'avez pas besoin de spcifier l'URL du dossier.</li>
<li> Optionalement, vous pouvez ajouter un commentaire au dossier dans le champs Description.</li>
<li> Finalement, cliquer sur le lien [[Ajouter]] du bas pour ajouter ce dossier dans le dossier courant.</li>
</ol>

<br>
<a name=num3>
<b>Comment changer les proprits d'un signet ou d'un dossier ?</b></li>
<ol>
<li> Cliquer sur l'icne d'dition de signet/dossier sur la gauche du titre.<br>
&nbsp;<img src=$env[icon_fo] border=0> Mon dossier<br>
&nbsp;<img src=$env[icon_bk] border=0> Mon signet<br>
</li>
<li> Dans la case Modifier, vous pouvez diter la proprit Titre/URL/Description du signet signet/dossier.</li
<li> Cliquer sur le lien [[Modifier]] en bas pour mettre  jour les informations.</li>
</ol>

<br>
<a name=num4>
<b>Comment dplacer des signets ou des dossiers vers un autre dossier ?</b><br>
<ol>
<li> Cliquer sur l'icne d'dition du signet/dossier sur la gauche du titre.</li>
<li> Cliquer sur le lien [[Dplacer]] dans la boite Dplacer.</li>
<li> Cliquer sur un dossier o vous voulez dplacer le signet/dossier.</li>
<li> En cliquant sur 'Recent' or 'Tous', vous pouvez passer de la liste des dossiers ouverts rcemment  la structure des rpertoires de votre arborescence de signets.</li>
</ol>
&nbsp;&nbsp;
<b>Astuces:</b> Vous ne pouvez pas dplacer un dossier A vers un dossier B, si B est un des sous-dossier de A.<br>

<br>
<a name=num5>
<b>Comment effacer un signet ou un dossier ?</b><br>
<ol>
<li> Cliquer sur l'icne d'dition de signet/dossier sur la gauche du titre.</li>
<li> Cliquer sur le lien [[Effacer]] dans la boite Effacer.</li>
<li> Si vous valider l'option 'Confirmer l'effacement'  'On' dans les prfrences, vous serez interrog si vous voulez vraiment l'effacer.</li>
</ol>

<br>
<a name=num6>
<b>Comment chercher un signet ?</b><br>
<ol>
<li> Taper un mot clef que vous voulez rechercher dans la case textuelle du formulaire de recherche en haut de la page.</li>
<li> Cliquer sur l'icne de recherche (<img src=$env[icon_search] align=top>) pour voir les rsultats.</li>
</ol>
&nbsp;&nbsp;
<b>Astuce:</b> Si vous mettez l'option 'Icne de recherche'  'Montrer' dans le panneau de prfrences, 
un icne de recherche apparaitra dans la barre de boutons, et en cliquant sur cet icne, vous pourrez toujours
commencer une recherche dans l'historique.<br>

<br>
<a name=num7>
<b>Comment se dconnecter de bookmark4U ?</b><br>
<ol>
<li> Cliquer sur l'icne de sortie (<img src=$env[icon_exit] align=top>) ou cliquer sur le lien Fermer la session en haut  droite de la page.</li>
<li> Si vous mettez l'option 'Icne de sortie'  'Cacher' dans les prfrences, la sortie ne sera pas montrer dans la barre de boutons.</li>
</ol>

<br>
<a name=num8>
<a name=import>
<b>Comment importer des signets de mon navigateur local vers bookmark4U ?</b><br>
<ol>
<li> Exporter vos signets vers un fichier  partir de votre navigateur.<br>
Internet Explorer (5 or plus) and Netscape (6.0 or newer) supportent cette fonctionnalit.<br>
</li>
<li> Cliquer sur l'icne Etc (<img src=$env[icon_etc] align=top>) dans la barre de boutons.</li>
<li> Cliquer sur l'icne d'importation (<img src=$env[icon_import] align=top>).</li>
<li> Selectionner un dossier dans lequel vos signets locaux vous tre imports.</li>
<li> Cliquer sur le bouton 'Browse...' et slectionner votre fichier de signets local (gnralement bookmark.html).<br>
Si vous voulez voir si cela marche correctement, validez l'option 'Test mode' avant de cliquer sur le lien'Importer le fichier'.</li>
</ol>

<br>
<a name=num9>
<a name=export>
<b>Comment exporter bookmark4U vers mon navigateur local ?</b><br>
<ol>
<li> Cliquer sur l'icne Etc (<img src=$env[icon_etc] align=top>) dans la barre de boutons.</li>
<li> Cliquer sur l'icne d'exportation (<img src=$env[icon_export] align=top>).</li>
<li> Selectionner le type du fichier de signets  exporter.</li>
<li> Selectionner le dossier que vous voulez exporter, avec ses sous-dossiers.</li>
<li> Cliquer avec le bouton droit sur le dossier slectionner et sauvegarder le comme un fichier.</li>
<li> Votre navigateur peut l'importer.</li>
</ol>

<br>
<a name=num10>
<a name=signet>
<b>Comment ajouter la page courante du navigateur dans Boomark4U ?</b><br>
<ol>
<li> Pour ce faire, vous devez utiliser un signet spcial dans votre navigateur.<br>
 Cliquer sur l'icne Etc (<img src=$env[icon_etc] align=top>) dans la barre de boutons.<br></li>
<li> Cliquer avec le bouton droite sur le lien [[Ajouter  VotreID @ bookmark4U]]. Ajouter le dans vos favoris.</li>
<li> Visiter le site web que vous voulez bookmarker.</li>
<li> Selectionner le signet spcial dans vos favorits.</li>
<li> Une popup apparat pour vous demandez le titre du signet. Donnez un titre et cliquer sur [[Ajouter]].<br>
Si vous n'tes pas logu, un formulaire de login apparatra avant cette tape.<br>
</li>
</ol>
&nbsp;&nbsp;
<b>Astuce:</b> Pour utiliser cette fopnctionnalit (quickmark), vous avez besoin de Netscape(or Mozilla) 6,
 oo MS Internet Explorer 5 ou +.<br>

<br>
<a name=num11>
<a name=history_layer>
<b>Qu'est-ce que l'Historique des visites' et comment peut-on l'utiliser ?</b><br>
<ol>
<li> A chaque fois que vous visitez un dossier dans une arborescence de signets, la date de votre dernire visite est enregistre pour tous les dossiers. Ce sont des informations trs intressantes, car vous voulez souvent accder aux dossiers que vous avez accd rcemment. L'historique des visites est la liste des dossiers que vous venez d'utiliser.</li>
<li> Si vous changer l'option 'Panneau d'historique' dans les prfrences, dplacez le pointeur de la souris sur l'icne de recherche (<img src=$env[icon_search]>) et bougez le ailleurs. Une petite bote va s'ouvrir sur la page. 'Recherche dans l'historique' est la liste de mots-clefs que vous avez recherch rcemment et 'Dossiers rcents' est la liste des dossiers que vous avez visit rcemment. 
En cliquant sur un mot-clef ou un titre de dossier, vous pouvez facilement trouver votre signet.</li>
<li> Vous pouvez bouger le panneau d'historique pour changer sa position. Pour le faire, vous devez avoir Internet Explorer 5 ou +. Si vous utilisez Netscap, vous ne pouvez pas le bouger.</li>
<li> Tant que mettez l'option du panneau d'historique sur off dans les prfrences, vous pouvez encore utiliser les fonctionnalits de l'historique en utilisant la boite  la gauche de l'icne de recherche.</li>
</ol>

<br>
<a name=num12>
<a name=clipboard>
<b>Comment utiliser le Presse-papier ?</b><br>
<ol>
<li> Si vous mettez l'option 'icne du Presse-Papier'  'Visible' dans les prfrences, vous pouvez voir l'icne du presse-papier dans la barre des boutons.
Le presse-papier est un ensemble de signets et de dossiers (ou ensemble d'entits). Vous pouvez en ajouter pour les dplacer ou les effacer dans le futur. Le presse-papier s'appelle en anglais : Clipboard.</li>
<li> Pour ajouter un signet/dossier dans le presse-papier, cliquez sur l'icne d'ditionsur la gauche du titre du signet/dossier que vous voulez ajouter.</li>
<li> Cliquer sur le lien 'Ajouter dans le presse-papier' pour l'ajouter. Aprs le retour  la page prcdente, vous pouvez voir l'icne du presse-papier sur la gauche du titre indiquant qu'il est dans le presse-papier.</li>
<li> Cliquer sur l'icne du presse-papier pour voir son contenu. Ceci est similaire au caddie des magazins en ligne sur Internet. Vous pouvez dplacer les entits slectionnes vers un dossier, ou les effacer de la base de donnes.</li>
<li> Pour dplacer les entites slectionnes dans le presse-papier vers le dossier courant, cliquez sur l'icne 'Collez' dans la barre de boutons.</li>
</ol>

<br>
<a name=num13>
<a name=trash>
<b>Comment utiliser la Poubelle ?</b><br>
<ol>
<li> Si vous mettez l'option de l' 'icne de la poubelle'  'Visible' dans les prfrences, vous pouvez voir l'icne de la poubelle dans la barre de boutons.
La poubelle est un ensemble d'entits (signets ou dossiers) que vous effacez. Vous pouvez restaurer une entit de la poubelle ou vous pouvez l'effacer dfinitivement.</li>
<li> En cliquant sur l'icne de la poubelle, vous pouvez voir le contenu de votre poubelle. 
Pour effacer dfinitivement une entit, cliquez sur le lien 'Effacer'. Pour restaurer une entit, cliquez sur le lien 'Restaurer'.
Pour effacer dfinitivement tout le contenu de la poubelle, cliquez sur le lien [[Vider la poubelle]].</li>
<li> Si vous cliquez sur le titre d'une entit, vous pouvez voir les informations de celle-ci.</li>
</ol>
&nbsp;&nbsp;
<b>Astuce:</b> Vous ne pouvez pas restaurer un signet/dossier si son dossier parent est lui-aussi effac.<br>


</p>
");

?>
