<?php
# Nederlands.php for Dutch language
# translated by Barry Nauta at 2002-04-01
# for bookmark4u version 1.7.2
$lang['language_pack_version'] = "1.7.2";

# general words
$lang['add']           = "Voeg toe";
$lang['action']        = "Actie";
$lang['all']           = "Alles";
$lang['always']        = "Altijd";
$lang['back']          = "Terug";
$lang['bookmark']      = "Bladwijzer";
$lang['calendar']      = "Kalender";
$lang['cancel']        = "Annuleer";
$lang['chars']         = "karakters";
$lang['change']        = "Verander";
$lang['clear']         = "Wis";
$lang['clipboard']     = "Klembord";
$lang['close']         = "Sluiten";
$lang['collapse']      = "Inklappen";
$lang['comment']       = "Commentaar";
$lang['configure']     = "Configureren";
$lang['daily']         = "Dagelijks";
$lang['date']          = "Datum";
$lang['days']          = "dagen";
$lang['delete']        = "Verwijder";
$lang['description']   = "Beschrijving";
$lang['disabled']      = "Disabled";
$lang['edit']          = "Wijzig";
$lang['email']         = "Email";
$lang['etc']           = "Etc.";
$lang['exit']          = "Exit";
$lang['expand']        = "Uitklappen";
$lang['export']        = "Exporteer";
$lang['folder']        = "Map";
$lang['frame']         = "Frame";
$lang['help']          = "Help";
$lang['hide']          = "Verberg";
$lang['import']        = "Importeer";
$lang['include']       = "Include";
$lang['ip']            = "IP";
$lang['items']         = "items";
$lang['lastlogin']     = "Laatste Login";
$lang['lastloginip']   = "Laatste Login IP";
$lang['lastvisit']     = "Laatst bezocht";
$lang['list']          = "Lijst";
$lang['location']      = "Locatie";
$lang['logincounter']  = "# aantal keer ingelogd";
$lang['logout']        = "Uitloggen";
$lang['memo']          = "Memo";
$lang['modify']        = "Wijzig";
$lang['monthly']       = "Maandelijks";
$lang['move']          = "Verplaats";
$lang['name']          = "Naam";
$lang['next']          = "Volgende";
$lang['no']            = "Nee";
$lang['off']           = "Uit";
$lang['on']            = "Aan";
$lang['paste']         = "Plakken";
$lang['path']          = "Pad";
$lang['password']      = "Paswoord";
$lang['preference']    = "Voorkeuren";
$lang['prev']          = "Vorige";
$lang['private']       = "Prive";
$lang['priority']      = "Prioriteit";
$lang['public']        = "Publiek";
$lang['query']         = "queries";
$lang['realname']      = "Echte Naam";
$lang['recent']        = "Recent";
$lang['registerdate']  = "Registratie datum";
$lang['reload']        = "Herladen";
$lang['repeat']        = "Herhalen";
$lang['resize']        = "Resize";
$lang['restore']       = "Herstel";
$lang['search']        = "Zoek";
$lang['sec']           = "seconden";
$lang['seconds']       = "seconden";
$lang['show']          = "Laat zien";
$lang['title']         = "Titel";
$lang['theme']         = "Thema";
$lang['today']         = "Vandaag";
$lang['total']         = "Totaal";
$lang['trash']         = "Vuilbak";
$lang['type']          = "Type";
$lang['undelete']      = "Verwijdering ongedaan maken";
$lang['unregister']    = "Onregistreer";
$lang['up']            = "Omhoog";
$lang['url']           = "URL";
$lang['user']          = "Gebruiker";
$lang['username']      = "Gebruikersnaam";
$lang['users']         = "Gebruikers";
$lang['view']          = "View";
$lang['visit']         = "Bezoek";
$lang['visits']        = "Bezoeken";
$lang['visited']       = "Bezocht";
$lang['weekly']        = "Weekelijks";
$lang['width']         = "Breedte";
$lang['yearly']        = "Jaarlijks";
$lang['yes']           = "Ja";

# etc.
$lang[add_more]      = "Voeg meer toe";
$lang[ampm]       = "AM:PM";
$lang[current_fld]   = " <b><--- Huidige Map</b>";
$lang[style_font] = "Verdana,Arial,Helvetica";
$lang[dateformat] = "%b-%d-%Y %a %T";  # date and time format
$lang[dateformat2]   = "%b %e, %Y %a";    # date format
$lang[dayofweek]  = "Zon:Maa:Din:Woe:Don:Vry:Zat";
$lang[months]     = "Jan:Feb:Mar:Apr:Mei:Jun:Jul:Aug:Sep:Okt:Nov:Dec";

# error messages
$lang[msg_auth_fail]    = "Autorisatie mislukt";
$lang[msg_cant_move]    = "Kan niet verplaatsen";
$lang[msg_exist_userid] = "Gebruikers ID bestaat al";
$lang[msg_login]        = "Laatste login van %s op %s";
$lang[msg_missing_var]  = "Ontbrekende variabele";
$lang[msg_no_keyword]   = "Om te zoeken is een sleutelwoord nodig";
$lang[no_search_result] = "Sorry! Geen zoek-resultaat";
$lang[msg_not_empty]    = "Map is niet leeg";
$lang[msg_req_id]       = "Gebruikers ID verplicht";
$lang[msg_req_pw]       = "Paswoord verplicht";
$lang[msg_req_title]    = "Titel verplicht";
$lang[msg_req_url]      = "URL verplicht";
$lang[msg_wrong_pw]     = "Verkeerd Paswoord";

# text area
$lang[textarea_1] = "Lang";
$lang[textarea_2] = "Kort";

# history layer
$lang[historylayer_0] = "Historiek Laag";
$lang[historylayer_1] = "Zoek in Historiek";
$lang[historylayer_2] = "Recente Mappen";
$lang[historylayer_3] = "Recente Bladwijzers";

# function ButtonSet()
$lang[btnset_1] = "Log uit";
$lang[btnset_2] = "Voeg nieuwe bladwijzer of map toe";
$lang[btnset_3] = "Bezocht Historiek";
$lang[btnset_4] = "Verschillende functies";
$lang[btnset_5] = "Klap gehele boomstructuur uit";
$lang[btnset_6] = "Klap gehele boomstructuur in";
$lang[btnset_7] = "Configureer je omgeving";
$lang[btnset_8] = "Schrijf hier je memo";
$lang[btnset_9] = "Schakel tussen frame en niet-frame mode";
$lang[btnset_10] = "%d items in het klemboord";
$lang[btnset_11] = "Laat mappen en bladwijzers zien";
$lang[btnset_12] = "Laat alleen mappen zien";
$lang[btnset_13] = "Copieer items van het klembord in deze map";
$lang[btnset_14] = "Open de vuilbak";
$lang[btnset_15] = "Keer naar de bladwijzerlijst terug";
$lang[btnset_16] = "Bladwijzer kalender";
$lang[btnset_17] = "Toon de historiek laag om te zoeken";

# add.php
$lang[add_1] = "'http://' gaat aan de URL vooraf";

# addform.php
$lang[addform_title] = "Voeg nieuwe bladwijzer in folder <b>%s</b> toe";
$lang[addform_1] = "Voeg meer toe";
$lang[addform_2] = "Voeg aan klemboord toe";

# bookmark.php
$lang[bookmark_0] = "Voeg toe aan de huidige pagina";
$lang[bookmark_1] = "Kies een folder om deze bladwijzer aan toe te voegen:";
$lang[bookmark_2] = "Gebruik deze map de volgende keer";
$lang[bookmark_3] = "[[Verander Map]]";

# calendar.php
$lang[calendar_0] = "Bladwijzer Kalender";
$lang[calendar_1] = "Voeg een item toe";
$lang[calendar_2] = "Voeg deze item toe";
$lang[calendar_3] = "Wijzig een item";
$lang[calendar_4] = "Bewaar deze item";
$lang[calendar_5] = "Verwijder deze item";
$lang[calendar_6] = "tot";
$lang[calendar_7] = "Wil je deze item werkelijk verwijderen?";
$lang[calendar_8] = "Deze item kan niet gewijzigd worden";
$lang[calendar_9] = "(%s zijn items)";
$lang[calendar_10] = "Lage prioriteit";
$lang[calendar_11] = "Hoge prioriteit";
$lang[calendar_e1] = "Een titel is nodig voor deze item"
;
# changepw.php
$lang[changepw_0] = "Verander paswoord";
$lang[changepw_1] = "Verander paswoord van <b>%s</b>";
$lang[changepw_2] = "Huidig paswoord";
$lang[changepw_3] = "Nieuw paswoord";
$lang[changepw_4] = "Herhaal nieuw paswoord";
$lang[changepw_5] = "[[Verander het NU]]";
$lang[changepw_6] = "Je paswoord is met succes veranderd";
$lang[changepw_err1] = "Huidig paswoord is leeg";
$lang[changepw_err2] = "Nieuw paswoord is leeg";
$lang[changepw_err3] = "Nieuw paswoord klopt niet";
$lang[changepw_err4] = "Huidig paswoord is niet correct";

# clear.php
$lang[clear_0] = "Maak mijn bladwijzer lijst schoon"; # ADD
$lang[clear_1] = "Pas op! Al je bladwijzers worden verwijderd!."; # ADD
$lang[clear_2] = "Verwijder alle bladwijzers"; # ADD
$lang[clear_3] = "%s's bladwijzers zijn verwijderd"; # ADD

# clipboard.php
$lang[clipboard_0] = $lang[clipboard];
$lang[clipboard_1] = "Wis klembord";
$lang[clipboard_2] = "Verplaats alle items naar een map";
$lang[clipboard_3] = "Verplaats alles in de vuilbak";
$lang[clipboard_4] = "Kies een map om de geselecteerde items naar te verplaatsen: ";
$lang[clipboard_5] = "Geen item om te verplaatsen!";
$lang[clipboard_6] = "Geen item om te verwijderem!";
$lang[clipboard_7] = "Geen item";
$lang[clipboard_8] = "Werkelijk verwijderen?"
                    ." Oppassen!! Alle bladwijzers onder een map worden verwijderd.";

# etc.php
$lang[etc_0]  = "Verschillende";
$lang[etc_1]  = "Importeer je lokale bladwijzers in Bookmark4U";
$lang[etc_2]  = "Exporteer Bookmark4U naar het Netscape/Explorer/Opera bladwijzer bestand";
$lang[etc_3]  = "Snelmarkering";
$lang[etc_3a] = "Klik met de rechter muis-button en voeg in je lokale bladwijzers toe";
$lang[etc_3b] = "[[VOEG aan %s @ Bookmark4U TOE]]";
$lang[etc_3c]  = "Vanaf Bookmark4U 1.6.1, is deze item verandered. Graag veranderen";
$lang[etc_4]  = "Verander mijn login paswoord";
$lang[etc_5a] = "Gebruik Frames";
$lang[etc_5b] = "Geen Frames";
$lang[etc_7] = "Verwijder alle bladwijzers. Paswoord is verplicht"; # ADD
$lang[etc_8a] = "Mijn Informatie";
$lang[etc_8b] = "Bekijk mijn informatie";
$lang[etc_9a] = "Netscape Tab";
$lang[etc_9b] = "Voeg Tab Toe";
$lang[etc_10]  = "Start mini-size venster";
$lang[etc_10a] = "Mini-venster";
$lang[etc_11]  = "Bekijk klembord";
$lang[etc_12]  = "Zoek in Historiek";
$lang[etc_13]  = "Wis zoek historiek";
$lang[etc_14]  = "Verwijder mijn Bookmark4U account en log uit. Paswoord is hiervoor nodig";
$lang[etc_15]  = "Bladwijzer Kalender";
$lang[etc_16]  = "Wijzig Internet Explorer zoek tab";

# export.php
$lang[export_0] = "Exporteer Bladwijzers";
$lang[export_1] = "Kies een bladwijzer formaat om te exporteren"; # ADD
$lang[export_2] = "Tekst bestand type";
$lang[export_3] = "Bladwijzer formaat";

# import.php
$lang[import_0] = "Importeer Bladwijzers";
$lang[import_1] = "Als je van <b>Internet Explorer</b> gebruik maakt, gebruik het 'File -> Import and Export' menu.<br> Als je van <b>Netscape</b> gebruik maakt, gebruik het 'Manage Bookmarks -> Export Bookmarks' menu.<br>";
$lang[import_2] = "Bladwijzer bestand";
$lang[import_3] = "[[Importeer Dit Bestand]]";
$lang[import_4] = "Test mode";
$lang[import_5] = "Test mode, databank is NIET veranderd.";
$lang[import_6] = "Bladwijzers en mappen zijn succesvol gemporteerd.";
$lang[import_7] = "Kies een bladwijzer formaat om te importeren"; # ADD
$lang[import_e1] = "Bestandsveld is leeg";
$lang[import_e2] = "Bestandsgrootte is nul";
$lang[import_e3] = "Sorry! Dit is geen geldig bladwijzer bestand. Niet gemporteerd.";
$lang[import_e4] = "Bookmark4U XML bestand versie komt niet overeen!";

# inc/addmodify.php
$lang[addmodify_1] = "Voeg een nieuwe baldwijzer in map <b>%s</b> toe";
$lang[addmodify_2] = "Verander eigenschappen van <b>%s</b>";
$lang[addmodify_3] = "Verwijder <b>%s</b>";
$lang[addmodify_4] = "Verplaats <b>%s</b> naar een andere map";
$lang[addmodify_5] = "<b>%s</b> Keer bezocht, het laatst op : <b>%s</b>";
$lang[addmodify_6] = "Voeg aan klembord toe";
$lang[addmodify_7] = "Verwijder van klembord";
$lang[addmodify_8]  = "Permanent verwijderen";
$lang[addmodify_9]  = "Recursief";
$lang[addmodify_10] = "Werkelijk verwijderen?";

# index.php
$lang[index_1] = "Gebruikersnaam";
$lang[index_2] = "Paswoord";
$lang[index_3] = "Laat me binnen";
$lang[index_4] = "[[Registreer]]";
$lang[index_5] = "[[Onthoud Paswoord]]";
$lang[index_6] = "[[Gebruik Frames]]";
$lang[index_7] = "[[Geen Frames]]";
$lang[index_8] = "[[Voeg aan mijn favorieten toe]]";  # ADD
$lang[index_9] = "[[Ik ben mijn passwoord vergeten]]";
$lang[index_10] = "Onthoudt";
$lang[index_11] = "1 dag";
$lang[index_12] = "1 maand";
$lang[index_13] = "1 jaar";

# list.php
$lang[list_1]  = "Getoond";
$lang[list_2]  = "Onlangs veranderd";
$lang[list_3]  = "Totaal";
$lang[list_4]  = "URL";
$lang[list_5]  = "Controleer of URLs geldig zijn";
$lang[list_6]  = "Read Only";
$lang[list_7]  = "Nooit bezocht";

# linkto.php
$lang[linkto_0] = "Bezig met connecteren";
$lang[linkto_1] = "Connecteren aan ... na %s seconden";

# listuser.php
$lang[listuser_0] = "Gebruikers-lijst";
$lang[listuser_1] = "Nooit inloggen";

# login.php
$lang[login_0] = "Hallo %s!";
$lang[login_1] = "De laatste keer heb je op <b>%s</b><br>van <b>%s</b> ingelogd.";
$lang[login_2] = "Deze pagina gaat verder met laden na <b>%s seconden</b>.";
$lang[login_3] = "Klik hier om verder te gaan.";

# memo.php
$lang[memo_0] = "Memo";
$lang[memo_1] = "Bewaar Memo";
$lang[memo_2] = "Memo is gewijzigd. wilt je deze nu bewareren?";

# modifyform.php
$lang[modifyform_0]    = "Verander eigenschappen/verplaats/verwijder";

# move.php
$lang[move_1] = "Kies een map voor %s <b>%s</b> om in verplaatst te worden";

# myinfo.php
$lang[myinfo_0] = "Mijn Informatie";

# preference.php
$lang[preference_0]     = "Voorkeuren";
$lang[preference_tab1]  = "Main";
$lang[preference_tab2]  = "Knoppen & Zoeken";
$lang[preference_tab3]  = "Verschillend";
$lang[preference_tab4]  = "Frame";
$lang[preference_tab5]  = "Manueel";
$lang[preference_1]     = "Taal";
$lang[preference_2]     = "Thema";
$lang[preference_3]     = "Nieuwe bladwijzer markeer-tijd";
$lang[preference_3_1]   = "1 uur";
$lang[preference_3_2]   = "12 uren";
$lang[preference_3_3]   = "24 uren";
$lang[preference_3_4]   = "2 dagen";
$lang[preference_3_5]   = "1 week";
$lang[preference_4]     = "Login Informatie";
$lang[preference_5]     = "Gebruik visit informatie";
$lang[preference_5_1]   = "Verander visit informatie";
$lang[preference_5_2]   = "Link direct naar URL";
$lang[preference_6]     = "Icon naam";
$lang[preference_7]     = "Bladwijzer lijst spatiring";
$lang[preference_7_1]   = "Geen spatiring";
$lang[preference_9]     = "Bezocht Informatie";
$lang[preference_10]    = "Bladwijzer URL";
$lang[preference_11]    = "URL afkap lengte";
$lang[preference_12]    = "Kop";
$lang[preference_13]    = "Lijst formaat";
$lang[preference_13_1]  = "Uitklapbare boomstructuur";
$lang[preference_13_2]  = "Gewone lijst";
$lang[preference_14]    = "Auto zoek focus";
$lang[preference_15]    = "Verwijder confirmatie";
$lang[preference_16]    = "Start URL";
$lang[preference_23]    = "Verberg uitvoerige display";
$lang[preference_24]    = "Netscape sidebar";
$lang[preference_25]    = "Font grootte";
$lang[preference_26]    = "Bladwijzer-pad in zoek-resultaten";
$lang[preference_27]    = "Lange beschrijving";
$lang[preference_28]    = "Frame breedte";
$lang[preference_29]    = "Exit icoon";
$lang[preference_30]    = "Klembord icoon";
$lang[preference_31]    = "Header bestand";
$lang[preference_32]    = "Knoppen per rij";
$lang[preference_33]    = "Alles in een rij";
$lang[preference_34]    = "Schakel frame-mode aan";
$lang[preference_35]    = "Historiek-laag";
$lang[preference_36]    = "Grootte Historiek-laag";
$lang[preference_37]    = "Vuilbak icoon";
$lang[preference_38]    = "Herlaad bij verandering";
$lang[preference_39]    = "Zoek resultaten per pagina";
$lang[preference_40]    = "Naam van de top map";
$lang[preference_41]    = "Memo icoon";
$lang[preference_42]    = "Bezocht icoon";
$lang[preference_43]    = "Klap in/uit icoon";
$lang[preference_44]    = "Bladwijzer/Map icoon";
$lang[preference_45]    = "Frame icoon";
$lang[preference_46]    = "Zoek icoon";
$lang[preference_47]    = "Lettertype Familie";
$lang[preference_48]    = "Verberg zoek formulier";
$lang[preference_49]    = "Venster resizing icoon";
$lang[preference_50]    = "Icoon grootte";
$lang[preference_51]    = "Druk link naar pagina af";
$lang[preference_52]    = "Max recente mappen";
$lang[preference_53]    = "Snelwijzer URL laat zien/verberg";
$lang[preference_54]    = "URL controle";
$lang[preference_55]    = "Kalender icoon";
$lang[preference_56]    = "Pagina Refresh tijd";
$lang[preference_57]    = "Venster grootte";
$lang[preference_58]    = "Lijst Heading";
$lang[preference_59]    = "Open bladwijzer in een niew venster";
$lang[preference_60]    = "Display pathes of visited items";
$lang[preference_61]    = "URL controle timeout";
$lang[preference_62]    = "Start pagina";
$lang[preference_63]    = "Sluit snelwijzer venster na";
$lang[preference_64]    = "Toon schijders";
$lang[preference_65]    = "URL controle timeout";
$lang[preference_66]    = "Error message reporting";
$lang[preference_67]    = "Javascript";
$lang[preference_68]    = "In de pagina";
$lang[preference_69]    = "Herlaadt icoon";
$lang[preference_70]    = "Default map listing";
$lang[preference_save]  = "[[Bewaar Mijn Voorkeuren]]";
$lang[preference_text]  = "[[Wijzig mijn configuratie in text-formaat]]";

# search.php
$lang[search_0]        = "Zoek resultaten";
$lang[search_1]        = "Zoek resultaten";

# trash.php
$lang[trash_1]   = "Item naar de vuilbak";
$lang[trash_2]   = "Datatum van verwijdering";
$lang[trash_3]   = "Maak vuilbak leeg";

# unregister.php
$lang[unregister_0] = "Unregister van Bookmark4U";
$lang[unregister_1] = "Oppassen! Al je data (bladwijzers, memo, kalender)"
     ." wordt verwijdert";
$lang[unregister_2] = "Ik wil niet langer Bookmark4U gebruiken";


# visited.php
$lang[visited_0] = "Bezochte bladwijzers";
$lang[visited_1] = "Bladwijzer";
$lang[visited_2] = "Veranderd";
$lang[visited_3] = "Telling";
$lang[visited_4] = "Laatst Bezocht";
$lang[visited_5] = "IP";

?>
