<?php

/************************************************************************/
/* Bookmark4U: Web-based personal bookmarking environment               */
/* ======================================================               */
/* Please read LICENSE.txt                                              */
/************************************************************************/

$env[pass_without_login] = 1;
include("inc/common.php");

if ($env[register_global_off]) {  # register get/post variables as global
  if ($HTTP_SERVER_VARS[REQUEST_METHOD] == 'GET') {
  } elseif ($HTTP_SERVER_VARS[REQUEST_METHOD] == 'POST') {
    $which_list = array('mode', 'userid', 'email');
    ExtractVars($HTTP_POST_VARS, $which_list);
  }
}

function PageHead1() {
  echo("<html>
<head>
<style type='text/css'>
a:link    { text-decoration:none; }
a:visited { text-decoration:none; }
a:hover   { text-decoration:underline; }
td,body   {
  color: black;
  font-family: Verdana,Arial,Helvetica;
  font-size: x-small;
}
input,select,textarea {
  border:1 solid black;
  background-color:#eeeeee;
  color:black;
}
</style>
<title>Bookmark4U</title>
</head>
<body bgcolor=white text=black link=#aa4444 alink=#aa4444 vlink=#aa4444>\n");
}

function PageTail1() {
  echo("</body></html>\n");
}

if ($mode == 'new') {

  # in demonstration mode, new user registration, unregistration, clearing
  # database, changing passwords, password restoration features are not allowed.
  if ($conf[demo_mode]) Error("Sorry, you can't use this feature now.");

  $rand = rand(1, $env[dummy]);
  $hash = md5($rand);
  $new_pw = substr($hash, 0, 8);  # new password

  # get user's email address
  $qry = "SELECT * FROM $env[dbtblpasswd] WHERE user='$userid' AND email='$email'";
  $row = DBQueryAndFetchRow($qry);
  if (!$row) Error("User name and email does not matches.");
  if (!$row[email]) Error("You don't have any email address. Contact admin.");

  # send an e-mail to the user
  $header = "From: Bookmark4U<$env[admin_email]>\n"; # added by gizmoeti
  #$header .= "X-Sender: <$env[admin_email]>\n";
  #$header .= "X-Mailer: PHP\n";
  #$header .= "Return-Path: "; # email for callback errors

  $subject = "A new password of bookmark4u";
  $text = "You have received this mail because someone has requested\n"
    ." to generate a new password of you on Bookmark4U at $env[sitehome].\n"
    ."\n"
    ."Your user name is '$userid' and your new password has been changed"
    ." to '$new_pw'\n"
    ."\n"
    ."Please login to Bookmark4U using the password and change it.\n";
  mail($row[email], $subject, $text, $header);

  # update user's password
  $qry = "UPDATE $env[dbtblpasswd] SET passwd=PASSWORD('$new_pw') WHERE user='$userid'";
  $ret = DBQuery($qry);

  PageHead1();
  echo("$userid's new password has been send by an email.<br>
Please check your mail box<br>
  <a href=index.php>[[Return to HOME]]</a>");
  PageTail1();
  exit;
}

PageHead1();

echo("<center>
<h2>Bookmark4U</h2>
<table border=0 width=90%>
<tr><td>
<b>I have lost my password</b><br>
</td></tr>
</table>
</center>\n");

echo("<table border='0' width='90%' align='center'>
<form action='lostpasswd.php' method='post'>
<tr>
  <td align='right'>User Name :</td>
  <td><input type='text' name='userid' size='20'></td>
</tr><tr>
  <td align='right'>Email :</td>
  <td><input type='text' name='email' size='20'></td>
</tr><tr>
  <td></td>
  <td>
<input type='hidden' name='mode' value='new'>
<input type='submit' value='Send me a new password'>
  </td>
</tr>
</form></table>\n");

PageTail1();

exit;

?>
