<?php

/************************************************************************/
/* Bookmark4U: Web-based personal bookmarking environment               */
/* ======================================================               */
/* Please read LICENSE.txt                                              */
/************************************************************************/

include("inc/common.php");

if ($env[register_global_off]) {  # register get/post variables as global
  if ($HTTP_SERVER_VARS[REQUEST_METHOD] == 'GET') {
  } elseif ($HTTP_SERVER_VARS[REQUEST_METHOD] == 'POST') {
    $which_list = array('id', 'type', 'title', 'url', 'comment', 'public',
      'exp', 'recursive', 'rate');
    ExtractVars($HTTP_POST_VARS, $which_list);
  }
}

CheckAuth('write');

# check if valid input
if ($type == 'b') {
  if (!$title) { Error($lang[msg_req_title]); }
  if (!$url)   { Error($lang[msg_req_url]); }
} else {
  if (!$title) { Error($lang[msg_req_title]); }
}

# get the current information
$qry = "SELECT id,type FROM $env[userbm] WHERE id=$id";
$row = DBQueryAndFetchRow($qry);

$need_to_update_total = 0;
if ($row[type]=='b' && $type=='c') { # change the type from bookmark to folder
  $total = 0; # the number of included bookmarks to be updated
  $need_to_update_total = 1;
} else if ($row[type]=='c' && $type=='b') { # change a folder to a bookmark
  $qry = "SELECT COUNT(*) AS count FROM $env[userbm] WHERE parent='$id'";
  $row = DBQueryAndFetchRow($qry);
  $subs = $row[count];
  if ($subs > 0) Error($lang[msg_not_empty]);
  $total = 1; # the number of included bookmarks
  $need_to_update_total = 1;
}

##MEDDAUGH##
if (!get_magic_quotes_gpc()) {
  $title_sql = ereg_replace("'", "\'", $title);
  $url_sql = ereg_replace("'", "\'", $url);
  $comment_sql = ereg_replace("'", "\'", $comment);
} else {
  $title_sql = $title;
  $url_sql = $url;
  $comment_sql = $comment;
}

# update database
$qry = "UPDATE $env[userbm] SET type='$type',title='$title_sql',
   url='$url_sql',rdate=NOW(), comment='$comment_sql',public='$public',
   icon='$icon',rate='$rate' WHERE id='$id'"; 
$ret = DBQuery($qry);

if ($need_to_update_total) UpdateTotalLeaf($id);

# callback function to change the public attribute
function Callback($row, $args) {
  global $env;
  $qry = "UPDATE $env[userbm] SET public='$args[public]' WHERE id='$row[id]'";
  $ret = DBQuery($qry);
}

if ($recursive) { # change private/public attribute recursively
  # traverse tree
  $args = array(public=>"$public"); 
  TraverseTree($id, 'Callback', $args);
}

$exp_parm = ($env[tree_view] && $exp) ? "&exp=$exp" : "";
header("Location: list.php?root=$env[root]$exp_parm&dummy=$env[dummy]#$id");
exit;

?>
